net.sourceforge.pmd

## Class LanguageVersionTest

- java.lang.Object
- - net.sourceforge.pmd.LanguageVersionTest

-     public class LanguageVersionTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageVersionTest(String language, String version, LanguageVersion expected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection` | `data()`
    `static junit.framework.Test` | `suite()`
    `void` | `testFindVersionsForLanguageTerseName()`
    `void` | `testGetLanguageVersionForTerseName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageVersionTest

          public LanguageVersionTest(String language,
                             String version,
                             LanguageVersion expected)

  - ### Method Detail

    - #### data

          public static Collection data()

    - #### testGetLanguageVersionForTerseName

          public void testGetLanguageVersionForTerseName()

    - #### testFindVersionsForLanguageTerseName

          public void testFindVersionsForLanguageTerseName()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.